Saltar al contenido principal
POST
/
2
/
dm_conversations
/
with
/
{participant_id}
/
messages
Crear un mensaje de DM usando el ID del participante
curl --request POST \
  --url https://api.x.com/2/dm_conversations/with/{participant_id}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "attachments": [
    {
      "media_id": "1146654567674912769"
    }
  ]
}
'
{
  "data": {
    "dm_conversation_id": "123123123-456456456",
    "dm_event_id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

participant_id
string
requerido

La ID del usuario destinatario que recibirá el DM. Identificador único de este usuario. Se devuelve como una cadena para evitar complicaciones con lenguajes de programación y herramientas que no pueden manejar números enteros grandes.

Pattern: ^[0-9]{1,19}$
Ejemplo:

"2244994945"

Cuerpo

application/json
text
string
requerido

Texto del mensaje.

Minimum string length: 1
attachments
object[]

Archivos adjuntos incluidos en un evento de MD.

Respuesta

La solicitud se ha realizado correctamente.

data
object
errors
object[]
Minimum array length: 1

Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).